<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Employee</title>
</head>
<body>

<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form role="form" th:action="@{/setting/employee/new}" enctype="multipart/form-data" th:object="${karyawan}" method="post">
            <input type="hidden" name="id" th:field="*{id}">
            <div class="box-header with-border">
                <h3 class="box-title">Employee</h3>
            </div>
            <div class="box-body">

                <div class="form-group">
                    <label>NIK</label>
                    <input type="text" th:field="*{nik}" class="form-control" name="nik" id="nik" placeholder="NIK ...">
                </div>

                <div class="form-group">
                    <label>Nama</label>
                    <input type="text" th:field="*{namaKaryawan}" class="form-control" name="name" id="name" placeholder="Nama ...">
                </div>

                <div class="form-group">
                    <label>Gelar Depan</label>
                    <input type="text" th:field="*{gelarDepan}" class="form-control" name="gelarDepan" id="gelarDepan"
                           placeholder="Gelar Depan ...">
                </div>

                <div class="form-group">
                    <label>Gelar Belakang</label>
                    <input type="text" th:field="*{gelarBelakang}" class="form-control" name="gelarBelakang" id="gelarBelakang"
                           placeholder="Gelar Belakang ...">
                </div>

                <div class="form-group">
                    <label>Jenis Kelamin</label>
                    <select th:field="*{jenisKelamin}" class="form-control">
                        <option value="PRIA">Pria</option>
                        <option value="WANITA">Wanita</option>
                    </select>
                    <small class="with-errors" th:if="${#fields.hasErrors('jenisKelamin')}" th:errors="*{jenisKelamin}"></small>
                </div>


                <div class="form-group">
                    <label>Agama</label>
                    <select class="form-control select2" name="agama" th:field="*{agama.id}" id="agama" style="width: 100%;">
                        <option th:each="x : ${agama}"
                                th:text="${x.agama}"
                                th:value="${x.id}">sdasd</option>
                    </select>
                </div>


                <div class="form-group">
                    <label>Tempat Lahir</label>
                    <input type="text" th:field="*{tempatLahir}" class="form-control" name="tempatLahir" id="tempatLahir"
                           placeholder="Tempat Lahir ...">
                </div>

                <div class="form-group">
                    <label>Tanggal Lahir</label>

                    <div class="input-group date">
                        <div class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </div>
                        <input type="text" th:field="*{tanggalLahirString}" name="tanggalLahir" class="form-control pull-right" id="datepicker">
                    </div>
                    <!-- /.input group -->
                </div>

                <div class="form-group">
                    <label>Alamat Tinggal</label>
                    <textarea class="form-control" th:field="*{alamatTinggal}" name="alamatTinggal" id="alamatTinggal" rows="3"
                              placeholder="Alamat Tinggal ..."></textarea>
                </div>

<!--                <div class="form-group">-->
<!--                    <label>Kelurahan</label>-->
<!--                    <input type="text" class="form-control" name="kelurahan" id="kelurahan" placeholder="Kelurahan ...">-->
<!--                </div>-->

<!--                <div class="form-group">-->
<!--                    <label>Kecamatan</label>-->
<!--                    <input type="text" class="form-control" name="kecamatan" id="kecamatan" placeholder="Kecamatan ...">-->
<!--                </div>-->

<!--                <div class="form-group">-->
<!--                    <label>kabupaten / Kota</label>-->
<!--                    <input type="text" class="form-control" name="kabKota" id="kabKota"-->
<!--                           placeholder="Kabupaten / Kota ...">-->
<!--                </div>-->

<!--                <div class="form-group">-->
<!--                    <label>Provinsi</label>-->
<!--                    <input type="text" class="form-control" name="provinsi" id="provinsi" placeholder="Provinsi ...">-->
<!--                </div>-->

<!--                <div class="form-group">-->
<!--                    <label>Negara</label>-->
<!--                    <input type="text" class="form-control" name="negara" id="negara" placeholder="Negara ...">-->
<!--                </div>-->

                <div class="form-group">
                    <label>Kode Pos</label>
                    <input type="text" th:field="*{kodePos}" class="form-control" name="kodepos" id="kodepos" placeholder="Kode Pos ...">
                </div>

                <div class="form-group">
                    <label>Status Kewarganegaraan</label>
                    <input type="text" th:field="*{statusKewarganegaraan}" class="form-control" name="statusWarganegara" id="statusWarganegara"
                           placeholder="Status Kewarganegaraan ...">
                    <br/>
                </div>

<!--                <div class="form-group">-->
<!--                    <div class="form-check custom-control checkbox" th:each="x, i : ${staff}">-->
<!--                        <input class="form-check-input"  th:field="*{staff.id}" type="checkbox"-->
<!--                               th:value="${x.id}" th:id="${'staff'+i.index}" >-->
<!--                        <label th:for="${'staff'+i.index}" class="form-check-label" th:text="${staff.name}">-->
<!--                            Staff-->
<!--                        </label>-->
<!--                    </div>-->
<!--                </div>-->

                <div class="form-group">
                    <div class="form-check">
                        <input style="margin-left: 3px" class="staff form-check-input" type="checkbox" th:field="*{staff}" value="AKTIF" id="staff">
                        <small style="margin-left: 3px"> AKTIF</small>
                        <input style="margin-left: 3px" class="staff form-check-input" type="checkbox" th:field="*{staff}" value="NONAKTIF" id="staff1">
                        <small style="margin-left: 3px"> NONAKTIF</small>
                        <label style="margin-left: 5px" class="form-check-label" for="staff">
                            Staff
                        </label>
                    </div>
                </div>
                <div class="form-group">
                    <div class="form-check">
                        <input style="margin-left: 3px" class="dosen form-check-input" type="checkbox" th:field="*{dosen}" value="AKTIF" id="dosen">
                        <small style="margin-left: 3px"> AKTIF</small>
                        <input style="margin-left: 3px" class="dosen form-check-input" type="checkbox" th:field="*{dosen}" value="NONAKTIF" id="dosen1">
                        <small style="margin-left: 3px"> NONAKTIF</small>
                        <label style="margin-left: 5px" class="form-check-label" for="dosen">
                            Dosen
                        </label>

                    </div>
                </div>

                <div class="form-group">
                    <div class="form-check">
                        <input style="margin-left: 3px" class="pembina form-check-input" type="checkbox" th:field="*{pembina}" value="AKTIF" id="pembina">
                        <small style="margin-left: 3px"> AKTIF</small>
                        <input style="margin-left: 3px" class="pembina form-check-input" type="checkbox" th:field="*{pembina}" value="NONAKTIF" id="pembina1">
                        <small style="margin-left: 3px"> NONAKTIF</small>
                        <label style="margin-left: 5px" class=" form-check-label" for="pembina">
                            Pembina
                        </label>
                    </div>
                </div>
x
                <div class="form-group">
                    <label for="lampiran" class="col-sm-2 control-label">foto</label>

                    <div class="col-sm-10">
                        <input type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                        <p class="help-block">Upload file foto bila perlu.</p>
                    </div>
                </div>

            </div>
            <div class="box-footer clearfix">
                <a th:href="@{/setting/employee}" class="btn btn-default">Cancel</a>
                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
            </div>
        </form>
    </div>
</div>
<div layout:fragment="onlyOne">
    <script>
        $('input[type="checkbox"]').on('change', function() {
            $(this).siblings('input[type="checkbox"]').not(this).prop('checked', false);
        });
    </script>
</div>
</body>
</html>